%global commit0 2aac09de13f4cfd4b9d87cdcdd860388e21aef0a
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

%{!?upstream_version: %global upstream_version %{version}}

Name:           python-tripleoclient
Version:        0.3.4
Release:        5%{?dist}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
# Once we have stable branches and stable releases we can go back to using release tarballs
Source0:  https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

#
# patches_base=+1
#
Patch0001: 0001-Remove-hardcoded-RDO_RELEASE-kilo.patch
Patch0002: 0002-Update-baremetal-ready-state-command.patch
Patch0003: 0003-Turn-the-orchestration-client-reference-into-a-prope.patch
Patch0004: 0004-Don-t-configure-Nova-v3-service.patch
Patch0005: 0005-Add-warning-text-at-the-end-of-an-undercloud-upgrade.patch
Patch0006: 0006-Use-values-from-endpoint-map-for-service-endpoints.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr

Requires:       instack
Requires:       instack-undercloud
Requires:       python-ironic-inspector-client
Requires:       python-ironicclient
Requires:       python-passlib
Requires:       python-openstackclient
Requires:       sos
Requires:       tripleo-common

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description
python-tripleoclient is a Python plugin to OpenstackClient
for TripleO <https://github.com/openstack/python-tripleoclient>.


%prep
%autosetup -n %{name}-%{version} -S git

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
rm -rf {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%files
%{python2_sitelib}/tripleoclient*
%{python2_sitelib}/python_tripleoclient*
%doc LICENSE README.rst

%changelog
* Wed May 04 2016 Mike Burns <mburns@redhat.com> 0.3.4-5
- Use values from endpoint map for service endpoints rhbz#1320950

* Mon Apr 18 2016 Mike Burns <mburns@redhat.com> 0.3.4-4
- Add warning text at the end of an undercloud upgrade rhbz#1328228

* Thu Apr 14 2016 Mike Burns <mburns@redhat.com> 0.3.4-3
- Don't configure Nova v3 servicer rhbz#1291291

* Thu Mar 31 2016 Mike Burns <mburns@redhat.com> 0.3.4-2
- Turn the orchestration client reference into a property rhbz#1321961

* Mon Mar 28 2016 James Slagle <jslagle@redhat.com> 0.3.4-1
- Update to 0.3.4

* Wed Mar 23 2016 James Slagle <jslagle@redhat.com> 0.3.2-1
- Update to 0.3.2

* Wed Mar 16 2016 James Slagle <jslagle@redhat.com> 0.3.1-1
- Update to 0.3.1

* Wed Mar 16 2016 James Slagle <jslagle@redhat.com> 0.3.0-1
- Update to 0.3.0

* Tue Mar 15 2016 James Slagle <jslagle@redhat.com> 0.2.1-1
- Update to 0.2.1

* Wed Mar 09 2016 James Slagle <jslagle@redhat.com> 0.2.0-1
- Update to 0.2.0

* Mon Feb 22 2016 Mike Burns <mburns@redhat.com> 0.1.1-4
- Remove hardcoded RDO_RELEASE = kilo

* Mon Feb 22 2016 Mike Burns <mburns@redhat.com> 0.1.1-3
- Remove hardcoded RDO_RELEASE = kilo
- Don't warn about missing profiles when they're not used
- Remove ntp element from overcloud images
- Allow assigning profiles based on XXX_profile capabilities
- Install python-hardware package on the agent image by default
- image build: add --builder-extra-args
- Simplify checking for stack complete
- Wrap around list of events

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.1.1-2
- Update to 0.1.1

* Fri Jan 29 2016 Mike Burns <mburns@redhat.com> 0.1.1-1
- Update to 0.1.1

* Mon Jan 04 2016 Mike Burns <mburns@redhat.com> 0.0.11-6
- Fix obsoletes rule rhbz#1294098

* Sat Nov 07 2015 Mike Burns <mburns@redhat.com> 0.0.11-5
- Remove hardcoded RDO_RELEASE = kilo
- Consolidate module constants.
- Install device-mapper-multipath on overcloud-full

* Thu Nov 05 2015 Mike Burns <mburns@redhat.com> - 0.0.11-3
- add dependency on python-passlib rhbz#1278303

* Tue Oct 20 2015 John Trowbridge <trown@redhat.com> - 0.0.11-2
- Remove hardcoded RDO_RELEASE = kilo

* Mon Oct 19 2015 John Trowbridge <trown@redhat.com> - 0.0.11-1
- Use a source tarball for a git hash that has passed delorean CI for liberty release

* Thu Mar 19 2015 Brad P. Crochet <brad@redhat.com> - 0.0.10-1
- Initial package.
